ZPBTRS(3f)

NAME
ZPBTRS - a system of linear equations A*X = B with a Hermitian positive definite band matrix A using the Cholesky factorization A = U**H*U or A = L*L**H computed by ZPBTRF

SYNOPSIS

SUBROUTINE ZPBTRS(
    UPLO, N, KD, NRHS, AB, LDAB, B, LDB, INFO )

CHARACTER
    UPLO

INTEGER
    INFO, KD, LDAB, LDB, N, NRHS

COMPLEX*16
    AB( LDAB, * ), B( LDB, * )

PURPOSE
ZPBTRS solves a system of linear equations A*X = B with a Hermitian positive definite band matrix A using the Cholesky factorization A = U**H*U or A = L*L**H computed by ZPBTRF.

ARGUMENTS

UPLO    (input) CHARACTER*1
    = 'U': Upper triangular factor stored in AB;
    = 'L': Lower triangular factor stored in AB.

N       (input) INTEGER
    The order of the matrix A. N >= 0.

KD      (input) INTEGER
    The number of superdiagonals of the matrix A if UPLO = 'U', or the number of subdiagonals if UPLO = 'L'. KD >= 0.

NRHS    (input) INTEGER
    The number of right hand sides, i.e., the number of columns of the matrix B. NRHS >= 0.

AB      (input) COMPLEX*16 array, dimension (LDAB,N)
    The triangular factor U or L from the Cholesky factorization A = U**H*U or A = L*L**H of the band matrix A, stored in the first KD+1 rows of the array. The j-th column of U or L is stored in the j-th column of the array AB as follows: if UPLO ='U', AB(kd+1+i-j,j) = U(i,j) for max(1,j-kd)<=i<=j; if UPLO ='L', AB(1+i-j,j) = L(i,j) for j<=i<=min(n,j+kd).

LDAB    (input) INTEGER
    The leading dimension of the array AB. LDAB >= KD+1.

B       (input/output) COMPLEX*16 array, dimension (LDB,NRHS)
    On entry, the right hand side matrix B. On exit, the solution matrix X.

LDB     (input) INTEGER
    The leading dimension of the array B. LDB >= max(1,N).

INFO    (output) INTEGER
    = 0: successful exit
    < 0: if INFO = -i, the i-th argument had an illegal value